Wordpress operator for Kubernetes
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

go.mod 1.7KB

12345678910111213141516171819202122232425262728293031323334353637383940
  1. module git.blindage.org/21h/wordpress-operator
  2. require (
  3. github.com/certifi/gocertifi v0.0.0-20190506164543-d2eda7129713 // indirect
  4. github.com/docker/go-connections v0.4.0 // indirect
  5. github.com/docker/go-units v0.4.0 // indirect
  6. github.com/getsentry/raven-go v0.2.0
  7. github.com/go-logr/logr v0.1.0
  8. github.com/go-openapi/spec v0.19.0
  9. github.com/leekchan/gtf v0.0.0-20190214083521-5fba33c5b00b
  10. github.com/opencontainers/image-spec v1.0.1 // indirect
  11. github.com/operator-framework/operator-sdk v0.10.1-0.20190815222052-4ca881a92eb7
  12. github.com/spf13/pflag v1.0.3
  13. k8s.io/api v0.0.0-20190612125737-db0771252981
  14. k8s.io/apimachinery v0.0.0-20190612125636-6a5db36e93ad
  15. k8s.io/client-go v11.0.0+incompatible
  16. k8s.io/kube-openapi v0.0.0-20190603182131-db7b694dc208
  17. sigs.k8s.io/controller-runtime v0.1.12
  18. sigs.k8s.io/controller-tools v0.1.10
  19. )
  20. // Pinned to kubernetes-1.13.4
  21. replace (
  22. k8s.io/api => k8s.io/api v0.0.0-20190222213804-5cb15d344471
  23. k8s.io/apiextensions-apiserver => k8s.io/apiextensions-apiserver v0.0.0-20190228180357-d002e88f6236
  24. k8s.io/apimachinery => k8s.io/apimachinery v0.0.0-20190221213512-86fb29eff628
  25. k8s.io/client-go => k8s.io/client-go v0.0.0-20190228174230-b40b2a5939e4
  26. )
  27. replace (
  28. github.com/coreos/prometheus-operator => github.com/coreos/prometheus-operator v0.29.0
  29. // Pinned to v2.9.2 (kubernetes-1.13.1) so https://proxy.golang.org can
  30. // resolve it correctly.
  31. github.com/prometheus/prometheus => github.com/prometheus/prometheus v0.0.0-20190424153033-d3245f150225
  32. k8s.io/kube-state-metrics => k8s.io/kube-state-metrics v1.6.0
  33. sigs.k8s.io/controller-runtime => sigs.k8s.io/controller-runtime v0.1.12
  34. sigs.k8s.io/controller-tools => sigs.k8s.io/controller-tools v0.1.11-0.20190411181648-9d55346c2bde
  35. )
  36. go 1.13